package com.gxzc.zen.common.util.upload.result

import com.fasterxml.jackson.annotation.JsonIgnore
import com.fasterxml.jackson.annotation.JsonInclude
import com.github.tobato.fastdfs.domain.StorePath
import com.gxzc.zen.common.util.upload.constants.UploadStatus
import java.io.File

/**
 * 上传结果
 * @author NorthLan
 * @date 2018/5/25
 * @url https://noahlan.com
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
open class UploadResult {
    var status: String? = null // 上传状态码

    @JsonIgnore
    var file: File? = null // 服务端文件实例

    @JsonIgnore
    var storePath: StorePath? = null

    var info: Any? = null // 信息
}